Show / Hide Table of Contents

# AsyncAwakeTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncAwakeTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncAwakeTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
AwakeAsync() |

### Methods

#### AwakeAsync()

    public UniTask AwakeAsync()

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>